Loading...
Searching...
No Matches
dcmtk::log4cplus::spi::LogLevelRangeFilter Class Reference

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...

Inheritance diagram for dcmtk::log4cplus::spi::LogLevelRangeFilter:

## Public Member Functions

virtual FilterResult | decide (const InternalLoggingEvent &event) const
| Return the decision of this filter.
Public Member Functions inherited from dcmtk::log4cplus::spi::Filter
void | appendFilter (FilterPtr filter)
| Appends `filter` to the end of this filter chain.

## Private Attributes

bool | acceptOnMatch
| Do we return ACCEPT when a match occurs.

## Additional Inherited Members

Public Attributes inherited from dcmtk::log4cplus::spi::Filter
FilterPtr | next
| Points to the next filter in the filter chain.

## Detailed Description

This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range.

The filter admits three options LogLevelMin, LogLevelMax and AcceptOnMatch.

If the LogLevel of the Logging event is not between Min and Max (inclusive), then `DENY` is returned.

If the Logging event LogLevel is within the specified range, then if AcceptOnMatch is true, `ACCEPT` is returned, and if AcceptOnMatch is false, `NEUTRAL` is returned.

If `LogLevelMin` is not defined, then there is no minimum acceptable LogLevel (ie a LogLevel is never rejected for being too "low"/unimportant). If `LogLevelMax` is not defined, then there is no maximum acceptable LogLevel (ie a LogLevel is never rejected for being too "high"/important).

Refer to the `setThreshold` method available to `all` appenders for a more convenient way to filter out events by LogLevel.

## Member Data Documentation

## acceptOnMatch

bool dcmtk::log4cplus::spi::LogLevelRangeFilter::acceptOnMatch

private

Do we return ACCEPT when a match occurs.

Default is `true`.

The documentation for this class was generated from the following file:

- oflog/include/dcmtk/oflog/spi/filter.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0